> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gmproxys.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Adicionar saldo

> Adiciona saldo a um usuário da proxy.

Adiciona saldo (em bytes) a um usuário da proxy específico.

## Headers

<ParamField header="X-API-Key" type="string" required>
  Sua chave de API no formato `gm_SUA_CHAVE`.
</ParamField>

## Body

<ParamField body="user_id" type="string" required>
  ID do usuário da proxy que receberá o saldo.
</ParamField>

<ParamField body="balance" type="integer" required>
  Quantidade de saldo a ser adicionada.
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.gmproxys.com/v1/add/balance \
    -H "X-API-Key: gm_SUA_CHAVE" \
    -H "Content-Type: application/json" \
    -d '{
      "user_id": "6198",
      "balance": 10737418240
    }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch("https://api.gmproxys.com/v1/add/balance", {
    method: "POST",
    headers: {
      "X-API-Key": "gm_SUA_CHAVE",
      "Content-Type": "application/json",
    },
    body: JSON.stringify({
      user_id: "6198",
      balance: 10737418240,
    }),
  });

  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      "https://api.gmproxys.com/v1/add/balance",
      headers={
          "X-API-Key": "gm_SUA_CHAVE",
          "Content-Type": "application/json",
      },
      json={
          "user_id": "6198",
          "balance": 10737418240,
      },
  )

  print(response.json())
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "message": "Success."
  }
  ```

  ```json 401 Token inválido theme={null}
  {
    "success": false,
    "message": "Invalid API token."
  }
  ```

  ```json 404 Proxy inexistente theme={null}
  {
    "success": false,
    "message": "Proxy user not found."
  }
  ```
</ResponseExample>
